Before You Install

Congratulations on making the step to sync your WooCommerce store with QuickBooks Desktop Pro, Premier or Enterprise - 2015 or later!

There's a few requirements we list here that you'll want to confirm before you begin getting all set up with MyWorks Sync.

Requirements:

  1. An active QuickBooks Desktop company on one of the following versions. We support QuickBooks Desktop companies hosted locally on your computer, on a local server, or with a cloud host provider like Right Networks. Admin access is required the first time connecting to QuickBooks.
    • Any global edition (US, UK, CA, etc.) of the following QuickBooks products
  1. An active WooCommerce store (running v4 or later of WooCommerce) with a valid SSL certificate.
    • Ensure your database host, user, name or password does not contain the following special characters + / # % ‘ ? (all others are supported by QuickBooks). This is not something you would need to check yourself, as our plugin would display a warning during activation if this is something you need to check.
    • Ensure that there is a valid SSL certificate installed on your WooCommerce site, and your admin area is being accessed over https. The QuickBooks Web Connector requires an HTTPS connection.
    • MyWorks only supports running on sites hosted on a Linux OS environment (which is already most common for WooCommerce stores).
  1. The latest version of QuickBooks Web Connector. 99% of the time this is already installed on the same computer QuickBooks is installed on. You can verify this by visiting File > Update Web Services in QuickBooks, or by searching for "Web Connector" in your Start menu.

Once the above requirements are confirmed, you may schedule a complimentary setup call with us, or move right into the easy installation/configuration steps on your own.

 

Website / Server Requirements:

MyWorks Sync doesn't have specific server/resource requirements, as our system requirements are very similar to WooCommerce. A general rule of thumb is that if WooCommerce is running well on your server, so will MyWorks.

MyWorks uses minimal additional resources on your web server during normal syncing activities, and the only impact on the amount of resources are necessary would be the amount of products in your WooCommerce store and QuickBooks.  For example, a WooCommerce store with 5,000 products would naturally require more resources than a WooCommerce store with 500 products.

However, below are a list of bare minimum requirements that MyWorks requires:

  1. PHP 7.2 and above,
  2. WooCommerce v4 and above,
  3. Recommended: at least 512MB memory limit

  4. As mentioned above, MyWorks supports running only on sites hosted on a Linux OS environment, which is most common for WooCommerce stores. WooCommerce stores hosted on a Windows OS are unfortunately not compatible with MyWorks - and we recommend switching to a Linux server, which is used by all major WooCommerce hosting platforms. 
Was this article helpful?
0 out of 0 found this helpful

Navigation